View Issue Details

IDProjectCategoryView StatusLast Update
0000190Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:20
ReporterScreezeAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.0 
Target Version2.1Fixed in Version2.1 
Summary0000190: Logging von Fatal Errors
DescriptionFATAL Errors werden vom APF zurzeit nicht geloggt, weil da der ErrorHandler nicht aufgerufen wird.
Man könnte aber über
>>
register_shutdown_function('shutdownFunction');

function shutDownFunction() {
    $error = error_get_last();
    if ($error['type'] == 1) {
        //do your stuff
    }
}
<<
zusätzlich fatal Errors auffangen und in's Log schreiben.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

ChristianAchatz

2014-05-16 18:08

administrator   ~0000342

See commit https://github.com/AdventurePHP/code/commit/b523339966b657141ba6cd0830b904b338ce50b7 for changes.

Cleaned up unused $errorContext variable along with this change.

Issue History

Date Modified Username Field Change
2014-05-14 12:37 Screeze New Issue
2014-05-16 10:43 ChristianAchatz Assigned To => ChristianAchatz
2014-05-16 10:43 ChristianAchatz Status new => assigned
2014-05-16 18:07 ChristianAchatz Status assigned => resolved
2014-05-16 18:07 ChristianAchatz Fixed in Version => 2.1
2014-05-16 18:07 ChristianAchatz Resolution open => fixed
2014-05-16 18:08 ChristianAchatz Note Added: 0000342
2015-10-12 12:20 ChristianAchatz Status resolved => closed